# Changelog for grunt-wp-i18n

## 0.4.9

* Fixed a bug causing the `addtextdomain` task to finish early.

## 0.4.8

* Introduced the `potHeaders.poedit` and `potHeaders['x-poedit-keywordslist']` options to include common Poedit headers. Props [@defries](https://github.com/defries) & [@GaryJones](https://github.com/GaryJones).
* Fixed capitalization of the `X-Poedit-SearchPathExcluded-0` header. Props [@GaryJones](https://github.com/GaryJones).
* Added a `--dry-run` switch to the `addtextdomain` task to view replacements in stdout instead of updating files.

## 0.4.7

* Added an `includes` option for the `makepot` task to specify which files should be scanned. Props [@claudiosmweb](https://github.com/claudiosmweb).
* Added an `updateDomains` option for the `addtextdomain` task to allow a list of specified text domains to be replaced with a new text domain.

## 0.4.6

* Fixed an issue with replacing comment headers when using external i18n tools.

## 0.4.5

* Introduced the `potHeaders` option for defining headers without using the `processPot` callback.
* Added an X-Generator header.
* Added a method to fix case-sensitive Poedit headers.
* Changed `date()` calls to `gmdate()` in the PHP tools to prevent error messages when date.timezone isn't set in php.ini.

## 0.4.4

* Added the `potComments` option to change the copyright message.
* Added the `updateTimestamp` option to prevent the `POT-Creation-Header` from being updated if there aren't any other changes in the POT file.
* Updated the addtextdomain task to adhere to the WordPress coding standards when inserting a text domain. Props [@GaryJones](https://github.com/GaryJones).

## 0.4.3

* Re-tag updates from 0.4.2 that didn't get added to the release.

## 0.4.2

* Added the `processPot` option to specify a callback for advanced manipulation of the POT file after it's been generated.

## 0.4.1

* Cleaned up strict errors and applied basic coding standards to the WP i18n tools. Props [@grappler](https://github.com/grappler).
* Incorporated upstream improvements for finding the main plugin file.

## 0.4.0

* Added an `exclude` option to ignore strings in specified directories or files.
* Set the current working directory based on the `cwd` option. All options should be relative to `cwd`.
* Fixed the searching process in `wordpress.getMainFile()` if the standard main file can't be found.
* Attempt to prevent an error in the CLI tools if the main plugin file name doesn't match the guessed slug.
* Added some basic tests.

## 0.3.1

* Fixed a bug where the text domain wasn't properly guessed in subdirectories if the Text Domain header didn't exist.
* Moved all the makepot functionality into a single task.

## 0.3.0

* Added the `addtextdomain` task.

## 0.2.0

* Forked and bundled the WordPress i18n tools so they no longer need to be downloaded separately.
* Removed the gettext dependency by relying on the [gettext-parser](https://github.com/andris9/gettext-parser) package to remove duplicate strings in POT files.
* Fixed the wp.slugify() method to properly guess the project slug when in an SVN repo.

## 0.1.0

* Initial release.
